isync (1.5.1-2) unstable; urgency=medium

  [ Oswald Buddenhagen ]
  * d/p/0001: Change reference file for man page date stamps (Closes:
    #1101741)

  [ Pierre-Elliott Bécue ]
  * d/control:
    - Bump Standards-Version to 4.7.3
  * d/copyright refreshed

 -- Pierre-Elliott Bécue <peb@debian.org>  Sun, 22 Mar 2026 23:35:10 +0100

isync (1.5.1-1) unstable; urgency=medium

  * New upstream release 1.5.1
    - Closes: #1093987, #1093984, #1094393
  * d/copyright refreshed

 -- Pierre-Elliott Bécue <peb@debian.org>  Wed, 12 Mar 2025 12:16:55 +0100

isync (1.5.0-1) unstable; urgency=medium

  * New upstream release 1.5.0
    - All patches merged upstream (Closes: #1093532)
  * d/control
    - Refresh (Build-|)Dependends
    - Update Standards-Version

 -- Pierre-Elliott Bécue <peb@debian.org>  Mon, 20 Jan 2025 11:47:23 +0100

isync (1.4.4-5) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Drop unnecessary dependency on dh-autoreconf.

  [ Sergio Durigan Junior ]
  * d/p/0003-work-around-unexpected-EOF-error-messages-at-end-of-.patch:
    Work around "unexpected EOF" error message at end of SSL
    connections. (LP: #1995690)

 -- Pierre-Elliott Bécue <peb@debian.org>  Fri, 25 Nov 2022 22:25:03 +0100

isync (1.4.4-4) unstable; urgency=medium

  * d/p/000{1,2}: Licensing and copyright updates
    Closes: #1012636
  * d/control: Bump Standards-Version to 4.6.1
  * d/copyright: update

 -- Pierre-Elliott Bécue <peb@debian.org>  Sun, 20 Nov 2022 11:13:28 +0100

isync (1.4.4-3) unstable; urgency=medium

  * Update the VCS info

 -- Pierre-Elliott Bécue <peb@debian.org>  Sat, 15 Jan 2022 15:38:06 +0100

isync (1.4.4-2) unstable; urgency=medium

  * Taking over with Norbert's approval
  * Bump debhelper-compat level to 13
  * Set up hardening=+all in d/rules
  * Bump d/watch version to 4
  * Add pgp support for uscan downloads
  * Update d/copyright
  * wrap-and-sort

 -- Pierre-Elliott Bécue <peb@debian.org>  Sat, 15 Jan 2022 15:03:44 +0100

isync (1.4.4-1) unstable; urgency=high

  * New upstream version 1.4.4 (Closes: #999804)
    (fixes CVE-2021-3657, CVE-2021-44143)
  * Update VCS place since debian NS is not accessible to me.

 -- Norbert Preining <norbert@preining.info>  Fri, 03 Dec 2021 20:39:17 +0900

isync (1.4.3-1) unstable; urgency=medium

  * New upstream version 1.4.3
  * Drop patches, included upstream.
  * Update list of installed files.
  * Drop references to isync.
  * Take over maintainership (Closes: #991904).
  * Bump standards level to 4.6.0, no changes necessary.
  * Use debhelper-compat (= 12) instead of d/compat.

 -- Norbert Preining <norbert@preining.info>  Tue, 09 Nov 2021 08:45:36 +0900

isync (1.3.0-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * fix handling of unexpected APPENDUID response code (CVE-2021-3578)
    (Closes: #989564)

 -- Salvatore Bonaccorso <carnil@debian.org>  Mon, 07 Jun 2021 21:03:56 +0200

isync (1.3.0-2.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Ondřej Nový ]
  * d/watch: Use https protocol

  [ Salvatore Bonaccorso ]
  * reject funny mailbox names from IMAP LIST/LSUB (CVE-2021-20247)
    (Closes: #983351)

 -- Salvatore Bonaccorso <carnil@debian.org>  Mon, 22 Feb 2021 21:09:21 +0100

isync (1.3.0-2) unstable; urgency=medium

  * Update vcs-* to point to salsa.d.o
  * Bump Standards-Version to 4.2.1 (no changes needed)
  * Remove myself from Uploaders
  * Use SNI when connecting with SSL.
    Thanks to Vincent Bernat for the patch (Closes: #906955)
  * Fix insecure-copyright-format-uri

 -- Alessandro Ghedini <ghedo@debian.org>  Sun, 02 Sep 2018 18:31:35 +0100

isync (1.3.0-1) unstable; urgency=medium

  * New upstream release
    - Enable all TLS versions by default (Closes: #871765)
    - Support for proper Maildir++ and a Maildir sub-folder naming style
      (Closes: #758172, #782054)
    - Fix cross-building (Closes: #872420)
  * Drop patches merged upstream
  * Bump Standards-Version to 4.1.3 (no changes needed)
  * Don't try to rename get-cert
  * Fix file-contains-trailing-whitespace debian/changelog
  * Bump debhlper compat level to 11
  * Fix useless-autoreconf-build-depends dh-autoreconf

 -- Alessandro Ghedini <ghedo@debian.org>  Sat, 06 Jan 2018 14:29:45 +0000

isync (1.2.1-2) unstable; urgency=low

  * Upload to unstable (with urgency=low)
  * Don't call uupdate after uscan
  * Import patch to fix build with OpenSSL 1.1 (Closes: #828357)
  * Bump Standards-Version to 3.9.8 (no changes needed)
  * Add pkg-config to Build-Depends
  * Update Vcs-* URLs
  * Fix spelling-error-in-binary

 -- Alessandro Ghedini <ghedo@debian.org>  Sat, 19 Nov 2016 17:14:42 +0000

isync (1.2.1-1) experimental; urgency=medium

  [ Evgeni Golov ]
  * New upstream release.
  * Explicitly Build-Depend on zlib1g-dev

 -- Alessandro Ghedini <ghedo@debian.org>  Sat, 09 Jan 2016 12:56:39 +0000

isync (1.2.0-1) experimental; urgency=medium

  * New upstream release
    - Only show sync progress by default (Closes: #765052)
  * Enable libsasl support

 -- Alessandro Ghedini <ghedo@debian.org>  Mon, 06 Apr 2015 13:42:24 +0200

isync (1.1.2-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 3.9.6 (no changes needed)

 -- Alessandro Ghedini <ghedo@debian.org>  Sun, 01 Feb 2015 20:42:25 +0100

isync (1.1.1-1) unstable; urgency=medium

  * New upstream release
    - Don't lie about the default of User (Closes: #744389)
    - Don't forget to reset message counts when skipping scan (Closes: #744259)
    - Rework maildir store mapping (Closes: #737708)
  * Drop 01_fix-manpages.patch (merged upstream)
  * Drop 02_fix-empty-folder-sync.patch (merged upstream)

 -- Alessandro Ghedini <ghedo@debian.org>  Tue, 03 Jun 2014 21:00:44 +0200

isync (1.1.0-2) unstable; urgency=medium

  * Drop 02_fix-duplicate-changelog.patch
    (rm the file after installation instead)
  * Update 01_fix-manpages.patch
  * Add 02_fix-empty-folder-sync.patch (Closes: #738873)

 -- Alessandro Ghedini <ghedo@debian.org>  Fri, 14 Feb 2014 20:41:49 +0100

isync (1.1.0-1) unstable; urgency=low

  * New upstream release (Closes: #674403)
    - Fix overlapping memcpy (Closes: #650373)
    - Fix segfault while syncing mailboxes (Closes: #411120)
    - Fix segfault when invoked with arguments without configuration
      (Closes: #727239)
  * Bump debhelper compat level, update Build-Depends
  * Switch to short-form dh rules, remove useless files
  * Switch to 3.0 (quilt) source format
  * Remove empty patches/ directory
  * Drop local source modifications
  * Update short/long descriptions
  * Add 01_fix-manpages.patch to fix manpage errors and typos
  * Add Homepage field
  * Update copyright file to Copyright-Format 1.0
  * Add Vcs-* fields
  * Add 02_fix-duplicate-changelog.patch to avoid duplicate changelog install
  * Add myself to Uploaders
  * Bump Standards-Version to 3.9.5 (no changes needed)
  * Use dh-autoreconf instead of autotools-dev

 -- Alessandro Ghedini <ghedo@debian.org>  Sun, 12 Jan 2014 16:35:52 +0100

isync (1.0.4-2.2) unstable; urgency=low

  * Non-maintainer upload.
  * Apply upstream patch for CVE-2013-0289.
    Fix incorrect server's SSL x509.v3 certificate validation when
    performing IMAP synchronization. (Closes: #701052)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 24 Feb 2013 09:27:55 +0100

isync (1.0.4-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Drop debconf note that deals with a pre-Etch transition.
    Closes: #492194

 -- Christian Perrier <bubulle@debian.org>  Sat, 25 Oct 2008 08:40:52 +0200

isync (1.0.4-2) unstable; urgency=low

  * Change the libdb4.4-dev build-dependency to libdb-dev. Thanks Luk for
    pointing this. (Closes: #499165)

 -- Nicolas Boullis <nboullis@debian.org>  Wed, 17 Sep 2008 23:58:58 +0200

isync (1.0.4-1) unstable; urgency=low

  * The second "thanks Christian" release.
  * New upstream release.
    - Accept empty "* SEARCH" response. (Closes: #413336)
    - Quote user name in generated config. (Closes: #456783)
  * Explain the isync->mbsync change in the package description.
    (Closes: #430648)
  * Fix the debian/watch file that lacked the version and action fields.
  * Disable the upstream "deb-clean" stuff in the top-level Makefile, as
    in breaks cleaning the build directory.
  * Bump Standards-Version to 3.7.3. (No change required.)

 -- Nicolas Boullis <nboullis@debian.org>  Sat, 03 May 2008 01:42:55 +0200

isync (1.0.3-3.1) unstable; urgency=low

  * Non-maintainer upload to fix pending l10n issues.
  * Debconf translations:
    - Portuguese. Closes: #418283
    - Italian. Closes: #418246
    - Dutch. Closes: #422244
    - Spanish. Closes: #426184
    - Finnish. Closes: #468214
    - Galician. Closes: #470529
  * [Lintian] Do not include debian revision in the build dependency for
    libssl-dev
  * [Lintian] No longer ignore errors from "make distclean"

 -- Christian Perrier <bubulle@debian.org>  Wed, 12 Mar 2008 07:24:01 +0100

isync (1.0.3-3) unstable; urgency=low

  * The "thanks Christian" release.
  * Update German debconf templates translation. Thanks to Erik Schanze
    (for the translation) and Christian Perrier (for forwarding the
    translation). (Closes: #407615)

 -- Nicolas Boullis <nboullis@debian.org>  Mon,  5 Feb 2007 00:17:15 +0100

isync (1.0.3-2.1) unstable; urgency=low

  * Non-maintainer upload with maintainer's permission
  * Debconf templates translations:
    - French updated by me
    - Brazilian Portuguese translation added
    - Czech translation added. Closes: #403473
    - Russian translation added. Closes: #403510
    - Vietnamese translation added
    - Norwegian Bokmål translation added. Closes: #403523

 -- Christian Perrier <bubulle@debian.org>  Sun, 17 Dec 2006 15:31:04 +0100

isync (1.0.3-2) unstable; urgency=low

  * Back to unstable, with permission from Steve Langasek. (Message-ID:
    <20061121015225.GF28035@borges.dodds.net>)
  * Rewrite the debconf note, thanks to the debian-l10n-english team (and
    especially MJ Ray).
  * Also add some information about the new version into NEWS.Debian.
  * Remove the information about the need to set the T (trashed) flag from
    README.Debian.
  * Also install the isyncrc.sample sample configuration file.
  * Bump Standards-Version to 3.7.2. (No change required.)

 -- Nicolas Boullis <nboullis@debian.org>  Tue,  5 Dec 2006 00:34:54 +0100

isync (1.0.3-1) experimental; urgency=low

  * New upstream release. (Closes: #315423)
    - Isync now supports breaking and linking threads. (Closes: #177280)
    - It also supports unflagging messages. (Closes: #111286)
    - IMAP commands are sent asynchronously. (Closes: #226222)
  * Kill the old debconf question about upgrades from pre-0.8 versions.
  * Use the (now obsolete) swedish and portugese translations anyway.
    (Closes: #337771, #378891)
  * New debconf note that warns about upgrades from pre-1.0 versions.
  * Add a build dependency on po-debconf.

 -- Nicolas Boullis <nboullis@debian.org>  Sun, 19 Nov 2006 15:04:31 +0100

isync (0.9.2-4) unstable; urgency=low

  * Add Czech debconf translation, thanks to Martin Šín. (Closes: #317571)
  * Build with the newest libssl-dev.
  * Load the debconf library in postinst to ensure that everything works
    as expected, thanks to lintian for noticing the problem and to
    Josselin Mouette for pointing to the right doc.
  * Fix a bashism in the config script, thanks to lintian.
  * Update the postal address of the FSF in the copyright file.
  * Bump Standards-Version to 3.6.2. (No change required.)

 -- Nicolas Boullis <nboullis@debian.org>  Mon, 10 Oct 2005 01:37:50 +0200

isync (0.9.2-3) unstable; urgency=low

  * Bump build-dependency from libdb4.0-dev to libdb4.2-dev, thanks to
    Andreas Jochens. (Closes: #280268)

 -- Nicolas Boullis <nboullis@debian.org>  Tue,  9 Nov 2004 18:21:12 +0100

isync (0.9.2-2) unstable; urgency=low

  * Add german debconf templates translation, thanks to Erik Schanze.
    (Closes: #267675)

 -- Nicolas Boullis <nboullis@debian.org>  Tue, 24 Aug 2004 00:32:32 +0200

isync (0.9.2-1) unstable; urgency=low

  * New upstream release.
    - Password prompt now includes the mailbox/server. (Closes: #92893)
  * Backported from CVS:
    - A few prinf converted to info (disabled with -q).
    - A few other printf converted to warn (disabled with -q -q) to be
      able to disable the warning when SSL is not available.
      (Closes: #228086)
    - Update the manpage accordingly (about -q).
    - Improve the manpage (about using isync with mutt).
  * Add Theodore Y. Ts'o as a co-maintainter.

 -- Nicolas Boullis <nboullis@debian.org>  Tue, 13 Apr 2004 02:12:42 +0200

isync (0.9.1-4) unstable; urgency=low

  * The "Why do I keep adding such stupid bugs?" release.
  * Remove the extra parenthesis that caused UID FETCH syntax errors,
    thanks to Niels den Otter for pointing the bug and giving the
    solution. (Closes: #224803)
  * Use configure's --build and --host options to prevent wrong
    optimizations (such as building for sparc64 rather than for sparc).

 -- Nicolas Boullis <nboullis@debian.org>  Wed,  7 Jan 2004 01:06:53 +0100

isync (0.9.1-3) unstable; urgency=low

  * Do not segfault when using both tunneled end non-tunneled connections,
    thanks to Nik A. Melchior for reporting and for his patch.
    (Closes: #220667)
  * Save uid of messages when interrupted, thanks to Theodore Y. Ts'o for
    reporting and for his patch. (Closes: #220346)
  * Do not get the sizes of the messages if unneeded (if MaxSize=0).

 -- Nicolas Boullis <nboullis@debian.org>  Thu, 18 Dec 2003 00:55:04 +0100

isync (0.9.1-2) unstable; urgency=low

  * Add french debconf templates translation, thanks to Christian
    Perrier. (Closes: #218118)

 -- Nicolas Boullis <nboullis@debian.org>  Mon,  3 Nov 2003 18:50:56 +0100

isync (0.9.1-1) unstable; urgency=low

  * New maintainer. (Closes: #180050)
  * New upstream release.
    - With the new option -R, isync is now able to create non-existent
      remote mailboxes. (Closes: #170388)
  * Update debian/copyright to match the current copyright:
    - Add Oswald Buddenhagen as copyright owner.
    - Add special exception for OpenSSL.
  * Add support for noopt in $DEB_BUILD_OPTIONS in debian/rules.
  * Switch to po-debconf.
  * Remove sample.isyncrc from debian/docs: no need to have it both as a
    doc and as an example.
  * Move package from section non-US/main (?) to mail. (Closes: #154216)
  * Update versionned build-dependency on debhelper to >= 4.1.16.
  * Bump Standards-Version to 3.6.1. (No change required.)

 -- Nicolas Boullis <nboullis@debian.org>  Tue, 14 Oct 2003 22:02:20 +0200

isync (0.8-4) unstable; urgency=low

  * Orphaned the package, as I no longer use it.

 -- Joey Hess <joeyh@debian.org>  Thu,  6 Feb 2003 15:46:38 -0500

isync (0.8-3) unstable; urgency=low

  * New upstream maintainer; updated copyright file web site address, and
    watch file. NB: new upstream has not made any new releases yet.

 -- Joey Hess <joeyh@debian.org>  Sat,  1 Feb 2003 16:03:49 -0500

isync (0.8-2) unstable; urgency=low

  * Only reset debconf question if user chooses to abort upgrade.
    Closes: #167363
  * Don't open lock files O_EXCL. As seen in upstream cvs.
  * Description and build-deps updates.
  * Added README.Debian with notes on mutt integration.

 -- Joey Hess <joeyh@debian.org>  Fri,  1 Nov 2002 18:02:44 -0500

isync (0.8-1) unstable; urgency=low

  * New upstream release. Closes: #134080

  **WARNING**
    You need to remove all the messages in your local folder if you were
    previously using another version of isync or else you will end up with
    duplicate messages on your IMAP server.

  * Has better support for uploading locally added messages. Closes: #120272
  * Added a debconf queston with some info about this that lets you abort the
    upgrade.
  * Added NEWS.Debian with same info.
  * New maintainer.
  * Removed upstream debianization stuff.
  * Updated copyright file.
  * Updated to current policy throughout.
  * Added uscan watch file.
  * Updated build-deps.
  * Now that isync needs berkeley databases, go with db4, so I don't have to
    transition from db3 later.
  * Fix fd leak (forgot to close tmp dir in maildir). Closes: #150762

 -- Joey Hess <joeyh@debian.org>  Tue, 29 Oct 2002 17:02:14 -0500

isync (0.7-1) unstable; urgency=low

  * New upstream version (Closes: #121312, #92051).
  * Rumors say this might fix bugs #102255 and #120272,
    but I have no test setup right now, so I'm leaving them open.
  * Updated standards-version.

 -- Tommi Virtanen <tv@debian.org>  Sat,  5 Jan 2002 16:13:35 +0200

isync (0.5-1) unstable; urgency=low

  * New upstream version (Closes: #98642).
  * Install sample.isyncrc too (Closes: #90464).

 -- Tommi Virtanen <tv@debian.org>  Sat, 23 Jun 2001 01:19:07 +0300

isync (0.4-1) unstable; urgency=low

  * Initial Release.

 -- Tommi Virtanen <tv@debian.org>  Sat, 10 Mar 2001 18:43:35 +0200
